// Code generated by protoc-gen-go. DO NOT EDIT.
// source: auth.proto

package service_proto

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	_ "github.com/golang/protobuf/protoc-gen-go/descriptor"
	_ "github.com/grpc-ecosystem/grpc-gateway/protoc-gen-swagger/options"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Gender int32

const (
	Gender_OTHERS Gender = 0
	Gender_MALE   Gender = 1
	Gender_FEMALE Gender = 2
)

var Gender_name = map[int32]string{
	0: "OTHERS",
	1: "MALE",
	2: "FEMALE",
}

var Gender_value = map[string]int32{
	"OTHERS": 0,
	"MALE":   1,
	"FEMALE": 2,
}

func (x Gender) String() string {
	return proto.EnumName(Gender_name, int32(x))
}

func (Gender) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{0}
}

type CovidStatus int32

const (
	CovidStatus_BLANK             CovidStatus = 0
	CovidStatus_UNKNOWN           CovidStatus = 1
	CovidStatus_HEALTHY           CovidStatus = 2
	CovidStatus_SELF_QUARANTINE   CovidStatus = 3
	CovidStatus_INTENSIVE_BREAK   CovidStatus = 4
	CovidStatus_MEDICAL_FOLLOW_UP CovidStatus = 5
	CovidStatus_POSITIVE          CovidStatus = 6
)

var CovidStatus_name = map[int32]string{
	0: "BLANK",
	1: "UNKNOWN",
	2: "HEALTHY",
	3: "SELF_QUARANTINE",
	4: "INTENSIVE_BREAK",
	5: "MEDICAL_FOLLOW_UP",
	6: "POSITIVE",
}

var CovidStatus_value = map[string]int32{
	"BLANK":             0,
	"UNKNOWN":           1,
	"HEALTHY":           2,
	"SELF_QUARANTINE":   3,
	"INTENSIVE_BREAK":   4,
	"MEDICAL_FOLLOW_UP": 5,
	"POSITIVE":          6,
}

func (x CovidStatus) String() string {
	return proto.EnumName(CovidStatus_name, int32(x))
}

func (CovidStatus) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{1}
}

type LoginResponse_ResponseCode int32

const (
	LoginResponse_SUCCESS               LoginResponse_ResponseCode = 0
	LoginResponse_INTERNAL_SERVER_ERROR LoginResponse_ResponseCode = 1
	LoginResponse_VALIDATION_ERROR      LoginResponse_ResponseCode = 2
	LoginResponse_THIRD_PARTY_ERROR     LoginResponse_ResponseCode = 3
)

var LoginResponse_ResponseCode_name = map[int32]string{
	0: "SUCCESS",
	1: "INTERNAL_SERVER_ERROR",
	2: "VALIDATION_ERROR",
	3: "THIRD_PARTY_ERROR",
}

var LoginResponse_ResponseCode_value = map[string]int32{
	"SUCCESS":               0,
	"INTERNAL_SERVER_ERROR": 1,
	"VALIDATION_ERROR":      2,
	"THIRD_PARTY_ERROR":     3,
}

func (x LoginResponse_ResponseCode) String() string {
	return proto.EnumName(LoginResponse_ResponseCode_name, int32(x))
}

func (LoginResponse_ResponseCode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{2, 0}
}

type LoginResponse_RegisteredUser int32

const (
	LoginResponse_UNKNOWN    LoginResponse_RegisteredUser = 0
	LoginResponse_UNREGISTER LoginResponse_RegisteredUser = 1
	LoginResponse_REGISTER   LoginResponse_RegisteredUser = 2
)

var LoginResponse_RegisteredUser_name = map[int32]string{
	0: "UNKNOWN",
	1: "UNREGISTER",
	2: "REGISTER",
}

var LoginResponse_RegisteredUser_value = map[string]int32{
	"UNKNOWN":    0,
	"UNREGISTER": 1,
	"REGISTER":   2,
}

func (x LoginResponse_RegisteredUser) String() string {
	return proto.EnumName(LoginResponse_RegisteredUser_name, int32(x))
}

func (LoginResponse_RegisteredUser) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{2, 1}
}

type SignUpResponse_ResponseCode int32

const (
	SignUpResponse_SUCCESS               SignUpResponse_ResponseCode = 0
	SignUpResponse_INTERNAL_SERVER_ERROR SignUpResponse_ResponseCode = 1
	SignUpResponse_VALIDATION_ERROR      SignUpResponse_ResponseCode = 2
)

var SignUpResponse_ResponseCode_name = map[int32]string{
	0: "SUCCESS",
	1: "INTERNAL_SERVER_ERROR",
	2: "VALIDATION_ERROR",
}

var SignUpResponse_ResponseCode_value = map[string]int32{
	"SUCCESS":               0,
	"INTERNAL_SERVER_ERROR": 1,
	"VALIDATION_ERROR":      2,
}

func (x SignUpResponse_ResponseCode) String() string {
	return proto.EnumName(SignUpResponse_ResponseCode_name, int32(x))
}

func (SignUpResponse_ResponseCode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{3, 0}
}

type GetUserResponse_ResponseCode int32

const (
	GetUserResponse_SUCCESS               GetUserResponse_ResponseCode = 0
	GetUserResponse_INTERNAL_SERVER_ERROR GetUserResponse_ResponseCode = 1
	GetUserResponse_INVALID_TOKEN         GetUserResponse_ResponseCode = 2
)

var GetUserResponse_ResponseCode_name = map[int32]string{
	0: "SUCCESS",
	1: "INTERNAL_SERVER_ERROR",
	2: "INVALID_TOKEN",
}

var GetUserResponse_ResponseCode_value = map[string]int32{
	"SUCCESS":               0,
	"INTERNAL_SERVER_ERROR": 1,
	"INVALID_TOKEN":         2,
}

func (x GetUserResponse_ResponseCode) String() string {
	return proto.EnumName(GetUserResponse_ResponseCode_name, int32(x))
}

func (GetUserResponse_ResponseCode) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{5, 0}
}

type LoginByGoogleRequest struct {
	RequestId            string   `protobuf:"bytes,1,opt,name=request_id,json=requestId,proto3" json:"request_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LoginByGoogleRequest) Reset()         { *m = LoginByGoogleRequest{} }
func (m *LoginByGoogleRequest) String() string { return proto.CompactTextString(m) }
func (*LoginByGoogleRequest) ProtoMessage()    {}
func (*LoginByGoogleRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{0}
}

func (m *LoginByGoogleRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LoginByGoogleRequest.Unmarshal(m, b)
}
func (m *LoginByGoogleRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LoginByGoogleRequest.Marshal(b, m, deterministic)
}
func (m *LoginByGoogleRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LoginByGoogleRequest.Merge(m, src)
}
func (m *LoginByGoogleRequest) XXX_Size() int {
	return xxx_messageInfo_LoginByGoogleRequest.Size(m)
}
func (m *LoginByGoogleRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_LoginByGoogleRequest.DiscardUnknown(m)
}

var xxx_messageInfo_LoginByGoogleRequest proto.InternalMessageInfo

func (m *LoginByGoogleRequest) GetRequestId() string {
	if m != nil {
		return m.RequestId
	}
	return ""
}

type LoginByFacebookRequest struct {
	AccessToken          string   `protobuf:"bytes,1,opt,name=access_token,json=accessToken,proto3" json:"access_token,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LoginByFacebookRequest) Reset()         { *m = LoginByFacebookRequest{} }
func (m *LoginByFacebookRequest) String() string { return proto.CompactTextString(m) }
func (*LoginByFacebookRequest) ProtoMessage()    {}
func (*LoginByFacebookRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{1}
}

func (m *LoginByFacebookRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LoginByFacebookRequest.Unmarshal(m, b)
}
func (m *LoginByFacebookRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LoginByFacebookRequest.Marshal(b, m, deterministic)
}
func (m *LoginByFacebookRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LoginByFacebookRequest.Merge(m, src)
}
func (m *LoginByFacebookRequest) XXX_Size() int {
	return xxx_messageInfo_LoginByFacebookRequest.Size(m)
}
func (m *LoginByFacebookRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_LoginByFacebookRequest.DiscardUnknown(m)
}

var xxx_messageInfo_LoginByFacebookRequest proto.InternalMessageInfo

func (m *LoginByFacebookRequest) GetAccessToken() string {
	if m != nil {
		return m.AccessToken
	}
	return ""
}

type LoginResponse struct {
	ResponseCode         LoginResponse_ResponseCode   `protobuf:"varint,1,opt,name=response_code,json=responseCode,proto3,enum=service_proto.LoginResponse_ResponseCode" json:"response_code,omitempty"`
	Token                string                       `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`
	User                 *User                        `protobuf:"bytes,3,opt,name=user,proto3" json:"user,omitempty"`
	RegisteredUser       LoginResponse_RegisteredUser `protobuf:"varint,4,opt,name=registered_user,json=registeredUser,proto3,enum=service_proto.LoginResponse_RegisteredUser" json:"registered_user,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                     `json:"-"`
	XXX_unrecognized     []byte                       `json:"-"`
	XXX_sizecache        int32                        `json:"-"`
}

func (m *LoginResponse) Reset()         { *m = LoginResponse{} }
func (m *LoginResponse) String() string { return proto.CompactTextString(m) }
func (*LoginResponse) ProtoMessage()    {}
func (*LoginResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{2}
}

func (m *LoginResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LoginResponse.Unmarshal(m, b)
}
func (m *LoginResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LoginResponse.Marshal(b, m, deterministic)
}
func (m *LoginResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LoginResponse.Merge(m, src)
}
func (m *LoginResponse) XXX_Size() int {
	return xxx_messageInfo_LoginResponse.Size(m)
}
func (m *LoginResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_LoginResponse.DiscardUnknown(m)
}

var xxx_messageInfo_LoginResponse proto.InternalMessageInfo

func (m *LoginResponse) GetResponseCode() LoginResponse_ResponseCode {
	if m != nil {
		return m.ResponseCode
	}
	return LoginResponse_SUCCESS
}

func (m *LoginResponse) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *LoginResponse) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *LoginResponse) GetRegisteredUser() LoginResponse_RegisteredUser {
	if m != nil {
		return m.RegisteredUser
	}
	return LoginResponse_UNKNOWN
}

type SignUpResponse struct {
	ResponseCode         SignUpResponse_ResponseCode `protobuf:"varint,1,opt,name=response_code,json=responseCode,proto3,enum=service_proto.SignUpResponse_ResponseCode" json:"response_code,omitempty"`
	Token                string                      `protobuf:"bytes,2,opt,name=token,proto3" json:"token,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                    `json:"-"`
	XXX_unrecognized     []byte                      `json:"-"`
	XXX_sizecache        int32                       `json:"-"`
}

func (m *SignUpResponse) Reset()         { *m = SignUpResponse{} }
func (m *SignUpResponse) String() string { return proto.CompactTextString(m) }
func (*SignUpResponse) ProtoMessage()    {}
func (*SignUpResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{3}
}

func (m *SignUpResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SignUpResponse.Unmarshal(m, b)
}
func (m *SignUpResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SignUpResponse.Marshal(b, m, deterministic)
}
func (m *SignUpResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SignUpResponse.Merge(m, src)
}
func (m *SignUpResponse) XXX_Size() int {
	return xxx_messageInfo_SignUpResponse.Size(m)
}
func (m *SignUpResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SignUpResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SignUpResponse proto.InternalMessageInfo

func (m *SignUpResponse) GetResponseCode() SignUpResponse_ResponseCode {
	if m != nil {
		return m.ResponseCode
	}
	return SignUpResponse_SUCCESS
}

func (m *SignUpResponse) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

type GetUserRequest struct {
	Token                string   `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetUserRequest) Reset()         { *m = GetUserRequest{} }
func (m *GetUserRequest) String() string { return proto.CompactTextString(m) }
func (*GetUserRequest) ProtoMessage()    {}
func (*GetUserRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{4}
}

func (m *GetUserRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserRequest.Unmarshal(m, b)
}
func (m *GetUserRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserRequest.Marshal(b, m, deterministic)
}
func (m *GetUserRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserRequest.Merge(m, src)
}
func (m *GetUserRequest) XXX_Size() int {
	return xxx_messageInfo_GetUserRequest.Size(m)
}
func (m *GetUserRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserRequest proto.InternalMessageInfo

func (m *GetUserRequest) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

type GetUserResponse struct {
	ResponseCode         GetUserResponse_ResponseCode `protobuf:"varint,1,opt,name=response_code,json=responseCode,proto3,enum=service_proto.GetUserResponse_ResponseCode" json:"response_code,omitempty"`
	User                 *User                        `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                     `json:"-"`
	XXX_unrecognized     []byte                       `json:"-"`
	XXX_sizecache        int32                        `json:"-"`
}

func (m *GetUserResponse) Reset()         { *m = GetUserResponse{} }
func (m *GetUserResponse) String() string { return proto.CompactTextString(m) }
func (*GetUserResponse) ProtoMessage()    {}
func (*GetUserResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{5}
}

func (m *GetUserResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetUserResponse.Unmarshal(m, b)
}
func (m *GetUserResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetUserResponse.Marshal(b, m, deterministic)
}
func (m *GetUserResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetUserResponse.Merge(m, src)
}
func (m *GetUserResponse) XXX_Size() int {
	return xxx_messageInfo_GetUserResponse.Size(m)
}
func (m *GetUserResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetUserResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetUserResponse proto.InternalMessageInfo

func (m *GetUserResponse) GetResponseCode() GetUserResponse_ResponseCode {
	if m != nil {
		return m.ResponseCode
	}
	return GetUserResponse_SUCCESS
}

func (m *GetUserResponse) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

type CovidStatusRequest struct {
	Token                string      `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
	CovidStatus          CovidStatus `protobuf:"varint,2,opt,name=covid_status,json=covidStatus,proto3,enum=service_proto.CovidStatus" json:"covid_status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *CovidStatusRequest) Reset()         { *m = CovidStatusRequest{} }
func (m *CovidStatusRequest) String() string { return proto.CompactTextString(m) }
func (*CovidStatusRequest) ProtoMessage()    {}
func (*CovidStatusRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{6}
}

func (m *CovidStatusRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CovidStatusRequest.Unmarshal(m, b)
}
func (m *CovidStatusRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CovidStatusRequest.Marshal(b, m, deterministic)
}
func (m *CovidStatusRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CovidStatusRequest.Merge(m, src)
}
func (m *CovidStatusRequest) XXX_Size() int {
	return xxx_messageInfo_CovidStatusRequest.Size(m)
}
func (m *CovidStatusRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CovidStatusRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CovidStatusRequest proto.InternalMessageInfo

func (m *CovidStatusRequest) GetToken() string {
	if m != nil {
		return m.Token
	}
	return ""
}

func (m *CovidStatusRequest) GetCovidStatus() CovidStatus {
	if m != nil {
		return m.CovidStatus
	}
	return CovidStatus_BLANK
}

type User struct {
	Email       string      `protobuf:"bytes,1,opt,name=email,proto3" json:"email,omitempty"`
	Password    string      `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
	FullName    string      `protobuf:"bytes,3,opt,name=full_name,json=fullName,proto3" json:"full_name,omitempty"`
	Phone       string      `protobuf:"bytes,4,opt,name=phone,proto3" json:"phone,omitempty"`
	Birthday    string      `protobuf:"bytes,5,opt,name=birthday,proto3" json:"birthday,omitempty"`
	Gender      Gender      `protobuf:"varint,6,opt,name=gender,proto3,enum=service_proto.Gender" json:"gender,omitempty"`
	Nationality string      `protobuf:"bytes,7,opt,name=nationality,proto3" json:"nationality,omitempty"`
	Id          uint64      `protobuf:"varint,8,opt,name=id,proto3" json:"id,omitempty"`
	CovidStatus CovidStatus `protobuf:"varint,9,opt,name=covid_status,json=covidStatus,proto3,enum=service_proto.CovidStatus" json:"covid_status,omitempty"`
	// Third-party related fields
	GoogleRequestId      string   `protobuf:"bytes,101,opt,name=google_request_id,json=googleRequestId,proto3" json:"google_request_id,omitempty"`
	FacebookAccessToken  string   `protobuf:"bytes,102,opt,name=facebook_access_token,json=facebookAccessToken,proto3" json:"facebook_access_token,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *User) Reset()         { *m = User{} }
func (m *User) String() string { return proto.CompactTextString(m) }
func (*User) ProtoMessage()    {}
func (*User) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{7}
}

func (m *User) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_User.Unmarshal(m, b)
}
func (m *User) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_User.Marshal(b, m, deterministic)
}
func (m *User) XXX_Merge(src proto.Message) {
	xxx_messageInfo_User.Merge(m, src)
}
func (m *User) XXX_Size() int {
	return xxx_messageInfo_User.Size(m)
}
func (m *User) XXX_DiscardUnknown() {
	xxx_messageInfo_User.DiscardUnknown(m)
}

var xxx_messageInfo_User proto.InternalMessageInfo

func (m *User) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *User) GetPassword() string {
	if m != nil {
		return m.Password
	}
	return ""
}

func (m *User) GetFullName() string {
	if m != nil {
		return m.FullName
	}
	return ""
}

func (m *User) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *User) GetBirthday() string {
	if m != nil {
		return m.Birthday
	}
	return ""
}

func (m *User) GetGender() Gender {
	if m != nil {
		return m.Gender
	}
	return Gender_OTHERS
}

func (m *User) GetNationality() string {
	if m != nil {
		return m.Nationality
	}
	return ""
}

func (m *User) GetId() uint64 {
	if m != nil {
		return m.Id
	}
	return 0
}

func (m *User) GetCovidStatus() CovidStatus {
	if m != nil {
		return m.CovidStatus
	}
	return CovidStatus_BLANK
}

func (m *User) GetGoogleRequestId() string {
	if m != nil {
		return m.GoogleRequestId
	}
	return ""
}

func (m *User) GetFacebookAccessToken() string {
	if m != nil {
		return m.FacebookAccessToken
	}
	return ""
}

type UserCovidHistory struct {
	User                 *User       `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
	CovidStatus          CovidStatus `protobuf:"varint,2,opt,name=covid_status,json=covidStatus,proto3,enum=service_proto.CovidStatus" json:"covid_status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}    `json:"-"`
	XXX_unrecognized     []byte      `json:"-"`
	XXX_sizecache        int32       `json:"-"`
}

func (m *UserCovidHistory) Reset()         { *m = UserCovidHistory{} }
func (m *UserCovidHistory) String() string { return proto.CompactTextString(m) }
func (*UserCovidHistory) ProtoMessage()    {}
func (*UserCovidHistory) Descriptor() ([]byte, []int) {
	return fileDescriptor_8bbd6f3875b0e874, []int{8}
}

func (m *UserCovidHistory) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UserCovidHistory.Unmarshal(m, b)
}
func (m *UserCovidHistory) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UserCovidHistory.Marshal(b, m, deterministic)
}
func (m *UserCovidHistory) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UserCovidHistory.Merge(m, src)
}
func (m *UserCovidHistory) XXX_Size() int {
	return xxx_messageInfo_UserCovidHistory.Size(m)
}
func (m *UserCovidHistory) XXX_DiscardUnknown() {
	xxx_messageInfo_UserCovidHistory.DiscardUnknown(m)
}

var xxx_messageInfo_UserCovidHistory proto.InternalMessageInfo

func (m *UserCovidHistory) GetUser() *User {
	if m != nil {
		return m.User
	}
	return nil
}

func (m *UserCovidHistory) GetCovidStatus() CovidStatus {
	if m != nil {
		return m.CovidStatus
	}
	return CovidStatus_BLANK
}

func init() {
	proto.RegisterEnum("service_proto.Gender", Gender_name, Gender_value)
	proto.RegisterEnum("service_proto.CovidStatus", CovidStatus_name, CovidStatus_value)
	proto.RegisterEnum("service_proto.LoginResponse_ResponseCode", LoginResponse_ResponseCode_name, LoginResponse_ResponseCode_value)
	proto.RegisterEnum("service_proto.LoginResponse_RegisteredUser", LoginResponse_RegisteredUser_name, LoginResponse_RegisteredUser_value)
	proto.RegisterEnum("service_proto.SignUpResponse_ResponseCode", SignUpResponse_ResponseCode_name, SignUpResponse_ResponseCode_value)
	proto.RegisterEnum("service_proto.GetUserResponse_ResponseCode", GetUserResponse_ResponseCode_name, GetUserResponse_ResponseCode_value)
	proto.RegisterType((*LoginByGoogleRequest)(nil), "service_proto.LoginByGoogleRequest")
	proto.RegisterType((*LoginByFacebookRequest)(nil), "service_proto.LoginByFacebookRequest")
	proto.RegisterType((*LoginResponse)(nil), "service_proto.LoginResponse")
	proto.RegisterType((*SignUpResponse)(nil), "service_proto.SignUpResponse")
	proto.RegisterType((*GetUserRequest)(nil), "service_proto.GetUserRequest")
	proto.RegisterType((*GetUserResponse)(nil), "service_proto.GetUserResponse")
	proto.RegisterType((*CovidStatusRequest)(nil), "service_proto.CovidStatusRequest")
	proto.RegisterType((*User)(nil), "service_proto.User")
	proto.RegisterType((*UserCovidHistory)(nil), "service_proto.UserCovidHistory")
}

func init() {
	proto.RegisterFile("auth.proto", fileDescriptor_8bbd6f3875b0e874)
}

var fileDescriptor_8bbd6f3875b0e874 = []byte{
	// 2683 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xd4, 0x58, 0xcb, 0x8f, 0xdb, 0xe6,
	0xb5, 0x8f, 0x34, 0xf6, 0x64, 0x86, 0xb6, 0xc7, 0x63, 0xda, 0x4e, 0x1c, 0xdf, 0x24, 0x97, 0xe1,
	0xcd, 0x45, 0x72, 0x9d, 0xd1, 0x8c, 0xf8, 0x69, 0x34, 0x1e, 0xcd, 0x45, 0x80, 0x52, 0x12, 0x29,
	0x51, 0x12, 0x29, 0x89, 0xa4, 0x24, 0x92, 0x1b, 0x81, 0x2f, 0x49, 0xa4, 0x28, 0x52, 0x43, 0x52,
	0x1a, 0x49, 0x81, 0x81, 0xb4, 0x9b, 0x02, 0x5d, 0xa4, 0xe8, 0xb4, 0x28, 0xda, 0xa2, 0x05, 0x02,
	0xb4, 0xe8, 0x22, 0xcb, 0xae, 0x5b, 0x14, 0xe8, 0xa2, 0x7f, 0x40, 0xbb, 0xeb, 0xba, 0x8b, 0xfe,
	0x05, 0x01, 0x02, 0x64, 0x51, 0x7c, 0xd4, 0xc3, 0x1a, 0xd9, 0xb5, 0x9b, 0x36, 0x8b, 0x74, 0x31,
	0x18, 0x9d, 0xef, 0xbc, 0x3e, 0x9e, 0xf3, 0x3b, 0x0f, 0x12, 0x41, 0xd4, 0x51, 0xd8, 0x3b, 0x1c,
	0xfa, 0x5e, 0xe8, 0xa1, 0xb7, 0x02, 0xd3, 0x1f, 0x5b, 0xba, 0xd9, 0x8e, 0xc8, 0x87, 0x58, 0xd7,
	0xf3, 0xba, 0x8e, 0x79, 0x14, 0x51, 0xda, 0xa8, 0x73, 0x64, 0x98, 0x81, 0xee, 0x5b, 0xc3, 0xd0,
	0xf3, 0xe7, 0x0a, 0x0f, 0xdf, 0x5c, 0x48, 0xa8, 0x43, 0xeb, 0x48, 0x75, 0x5d, 0x2f, 0x54, 0x43,
	0xcb, 0x73, 0x83, 0x05, 0xf7, 0x20, 0xfa, 0xa7, 0x27, 0xba, 0xa6, 0x9b, 0x08, 0x2e, 0xd4, 0x6e,
	0xd7, 0xf4, 0x8f, 0xbc, 0x61, 0x24, 0xf1, 0xac, 0x34, 0xfe, 0xb7, 0x5d, 0xe4, 0x5e, 0xc5, 0xeb,
	0x5a, 0x6e, 0x76, 0x5a, 0x88, 0xac, 0xf2, 0xe6, 0xf9, 0xc8, 0x0c, 0x42, 0x94, 0x45, 0x10, 0x7f,
	0xfe, 0xb3, 0x6d, 0x19, 0x0f, 0x62, 0x58, 0xec, 0xfd, 0xdd, 0xec, 0xe1, 0x25, 0xf9, 0x01, 0xc0,
	0x0a, 0x66, 0x88, 0x75, 0x7c, 0x6f, 0xb0, 0xb8, 0x28, 0xe6, 0xc1, 0x67, 0xc1, 0x9e, 0x0a, 0xff,
	0x29, 0xb6, 0x1d, 0x84, 0xbe, 0xe5, 0x76, 0xf9, 0xdd, 0xc5, 0x21, 0x63, 0x9c, 0x7d, 0xbc, 0x7b,
	0x49, 0x7e, 0xb9, 0x03, 0xbe, 0xd8, 0x41, 0x3f, 0xdf, 0xf9, 0x08, 0xc3, 0x9f, 0x4a, 0xe3, 0x67,
	0x18, 0x6e, 0x4e, 0x4b, 0x3d, 0xad, 0xa0, 0x5b, 0x55, 0xab, 0x24, 0x34, 0x66, 0x0c, 0xc1, 0x59,
	0x4c, 0xc0, 0x0c, 0xc2, 0xa1, 0x92, 0x63, 0x4e, 0x18, 0x9b, 0x21, 0x38, 0x20, 0x03, 0x59, 0x6c,
	0x1c, 0xb3, 0x76, 0xaf, 0xcf, 0xb6, 0x1a, 0x49, 0x59, 0xe4, 0x7a, 0xdc, 0x80, 0xba, 0x60, 0x81,
	0x62, 0x2b, 0x79, 0xba, 0xc7, 0xda, 0x75, 0xc0, 0xb6, 0x78, 0xab, 0x2a, 0x36, 0xd2, 0x2c, 0x68,
	0x00, 0xd6, 0xae, 0x5b, 0x95, 0x5c, 0x29, 0x69, 0x4a, 0x24, 0xb4, 0x59, 0x6e, 0x12, 0x75, 0xab,
	0x53, 0x3f, 0x34, 0xa7, 0xa5, 0xa1, 0x9e, 0x62, 0xe1, 0x91, 0x67, 0x14, 0xf9, 0x0b, 0x7d, 0xe6,
	0x8d, 0x2b, 0x80, 0xb6, 0x65, 0x90, 0x21, 0x34, 0x97, 0x9f, 0x55, 0x06, 0xc6, 0x58, 0x03, 0x46,
	0xa0, 0x08, 0x69, 0x5b, 0x03, 0x49, 0x68, 0xa2, 0x67, 0xba, 0xd0, 0x04, 0x93, 0x64, 0xf3, 0x7a,
	0x92, 0xcd, 0x77, 0x53, 0xac, 0xd8, 0x9d, 0x54, 0x45, 0x66, 0x24, 0x4b, 0xd9, 0x0b, 0x7d, 0x9a,
	0x76, 0x35, 0x90, 0x71, 0xb5, 0x42, 0x93, 0xd0, 0x41, 0x73, 0x2a, 0x83, 0xcc, 0xc8, 0x28, 0x34,
	0x47, 0x46, 0xee, 0xa9, 0xbe, 0xd1, 0xaa, 0xff, 0x3b, 0xfa, 0x33, 0xa3, 0xc5, 0x40, 0xfd, 0x09,
	0x9b, 0xef, 0x4f, 0xaa, 0xa2, 0x4c, 0x54, 0x45, 0x66, 0x52, 0x15, 0x1b, 0x29, 0xd6, 0xee, 0x02,
	0xce, 0xee, 0x03, 0x2e, 0x2f, 0x43, 0x39, 0x47, 0x6b, 0xd1, 0x43, 0x0d, 0x86, 0x6b, 0x90, 0xee,
	0xcb, 0x52, 0x89, 0xd0, 0x40, 0xe8, 0xd4, 0x0b, 0x46, 0x28, 0xb7, 0x9c, 0xa0, 0x32, 0xe0, 0xc6,
	0x9a, 0x00, 0x43, 0xda, 0x8c, 0x68, 0x29, 0xa5, 0x38, 0xfa, 0xc0, 0x19, 0xa8, 0xad, 0x66, 0x9f,
	0xb1, 0x87, 0x49, 0xdd, 0x6d, 0x3a, 0xd1, 0x5d, 0xe9, 0x8c, 0x27, 0x4b, 0x9c, 0xc7, 0xd8, 0x9e,
	0xd5, 0x4c, 0xca, 0xa1, 0x04, 0x4a, 0x13, 0x55, 0xcc, 0x8e, 0xc4, 0x06, 0x45, 0x28, 0x0e, 0xcf,
	0x37, 0x24, 0x65, 0xac, 0x13, 0xec, 0xcc, 0x98, 0x42, 0x5b, 0xe9, 0x9e, 0xd6, 0x6a, 0xc0, 0x58,
	0xf6, 0xb4, 0x81, 0xe1, 0xca, 0x42, 0xd6, 0x37, 0x24, 0x8e, 0xd0, 0x5a, 0xf4, 0x48, 0x29, 0xd0,
	0x53, 0x03, 0xfa, 0x73, 0xb3, 0x43, 0x39, 0xc5, 0x13, 0xfa, 0xa0, 0xb1, 0x11, 0xf3, 0x89, 0xc7,
	0xbe, 0xf8, 0xd9, 0xc7, 0x15, 0xb1, 0x99, 0xd7, 0x45, 0x23, 0x90, 0x80, 0xc2, 0xca, 0xb6, 0xe1,
	0x56, 0x92, 0x74, 0xb6, 0xde, 0x58, 0xfd, 0x95, 0x36, 0xe8, 0x2c, 0xa4, 0x05, 0xc2, 0x28, 0x0b,
	0xfd, 0xf4, 0xb0, 0xe9, 0x94, 0xca, 0x6c, 0x61, 0xc2, 0x36, 0x5d, 0x32, 0x55, 0x4f, 0x35, 0x4f,
	0x54, 0xa9, 0x3e, 0xd3, 0x68, 0xbe, 0xcf, 0x3a, 0x19, 0x85, 0x2d, 0x3a, 0x29, 0x5d, 0xd2, 0xc7,
	0xfa, 0xac, 0x0f, 0x2a, 0x2d, 0x76, 0xac, 0x17, 0x7a, 0x63, 0xa3, 0x70, 0x3a, 0x52, 0xdd, 0xac,
	0xcb, 0x58, 0x17, 0x96, 0x02, 0x1c, 0xa0, 0xb4, 0xd2, 0x1d, 0x6d, 0x40, 0x87, 0x8a, 0x00, 0xe3,
	0x49, 0x8f, 0x14, 0x60, 0xf4, 0x22, 0xde, 0x80, 0x0e, 0xd5, 0xd6, 0x24, 0x2d, 0x81, 0xd5, 0xb3,
	0x3f, 0xfb, 0xcc, 0x83, 0xc9, 0x58, 0x06, 0x74, 0x30, 0xd7, 0x6d, 0x8e, 0xa0, 0x9e, 0xda, 0xa2,
	0x93, 0x8c, 0xed, 0x4d, 0x38, 0xb1, 0x4b, 0x54, 0xf3, 0x0c, 0xc1, 0xda, 0x0c, 0x01, 0x73, 0x66,
	0x16, 0x49, 0xab, 0x6a, 0x53, 0x44, 0x35, 0x0f, 0xa1, 0xdd, 0x3d, 0x66, 0xed, 0x66, 0xe6, 0x90,
	0x3e, 0x37, 0x26, 0x5a, 0x30, 0x2d, 0x25, 0x5d, 0x69, 0x76, 0x7e, 0x9e, 0x70, 0x19, 0x5d, 0x99,
	0xa6, 0xd5, 0x44, 0xb2, 0x2a, 0x75, 0x4b, 0x12, 0x1f, 0xd8, 0xb3, 0xd4, 0x48, 0x92, 0xc7, 0x35,
	0xb1, 0x13, 0x26, 0xd9, 0xf3, 0x06, 0x4f, 0x0f, 0x13, 0x53, 0x77, 0x30, 0x35, 0x1b, 0x89, 0x44,
	0x06, 0x00, 0x6e, 0x36, 0x4b, 0xfb, 0xd3, 0x70, 0x12, 0x4c, 0x07, 0x5e, 0xa3, 0x68, 0x8d, 0x69,
	0x50, 0xa4, 0xb5, 0x30, 0x41, 0x3d, 0x56, 0xfd, 0x8b, 0x0b, 0x92, 0x2b, 0xd5, 0x52, 0xbc, 0xee,
	0x16, 0x74, 0xa9, 0x5e, 0xc8, 0x58, 0xd3, 0x61, 0x42, 0xe6, 0x06, 0x95, 0xf3, 0x62, 0x36, 0x64,
	0xc2, 0xe9, 0xb1, 0xcf, 0x25, 0x65, 0xf7, 0xb8, 0x28, 0x8d, 0x35, 0xf1, 0x24, 0xd1, 0x01, 0x44,
	0xa2, 0x0b, 0x9c, 0xb0, 0x02, 0xca, 0x59, 0x82, 0x73, 0xaa, 0x19, 0x57, 0xe7, 0xec, 0xc7, 0x27,
	0xf4, 0x98, 0x6d, 0x75, 0x88, 0xe3, 0x49, 0xd9, 0x1f, 0x9e, 0xf0, 0xac, 0xa6, 0x8c, 0x65, 0x5d,
	0x4c, 0x5a, 0x76, 0x90, 0x55, 0x24, 0x27, 0xac, 0x4f, 0xd8, 0x0a, 0x6f, 0x5b, 0xf9, 0xfc, 0x38,
	0x2f, 0x84, 0x09, 0x5a, 0xee, 0x4d, 0x35, 0xb2, 0xc0, 0x0c, 0x4f, 0x40, 0x4d, 0x4b, 0x16, 0x73,
	0xe6, 0xac, 0x1c, 0xd6, 0x45, 0xda, 0x12, 0x05, 0xd9, 0x39, 0x4e, 0x1d, 0x37, 0xfa, 0xb4, 0x6d,
	0x08, 0xf5, 0x09, 0xd5, 0xe5, 0x48, 0x3b, 0x67, 0x54, 0x4d, 0xb6, 0x58, 0xec, 0x54, 0xb8, 0x2c,
	0x93, 0x96, 0x8a, 0x2a, 0x9b, 0x04, 0xc5, 0x4c, 0xbf, 0x9c, 0xa8, 0xdb, 0x52, 0x4a, 0xa4, 0x8f,
	0xd3, 0x95, 0xf2, 0x70, 0x66, 0x76, 0x38, 0xe1, 0xb8, 0x7e, 0x62, 0xa6, 0xb2, 0x27, 0x42, 0x45,
	0x38, 0x91, 0x65, 0xd6, 0xcc, 0x17, 0xcf, 0xc5, 0xb0, 0xd4, 0x2b, 0x68, 0xb4, 0xd9, 0x9d, 0xe6,
	0x6b, 0x36, 0x68, 0x92, 0x9a, 0x4d, 0x0b, 0x7d, 0x45, 0xad, 0xb5, 0xd3, 0x24, 0xa5, 0x26, 0xaa,
	0x55, 0xd0, 0x55, 0xa8, 0x92, 0x91, 0x6c, 0x93, 0x38, 0xf6, 0x04, 0xff, 0xde, 0x16, 0xf2, 0xda,
	0xa2, 0xd5, 0xd1, 0xaa, 0x6e, 0x6a, 0x9e, 0xd7, 0x5f, 0x36, 0xbb, 0x06, 0x72, 0x53, 0xd5, 0x75,
	0x33, 0x08, 0xda, 0xa1, 0xd7, 0x37, 0xdd, 0x45, 0xbb, 0x03, 0x97, 0xe4, 0x11, 0x78, 0x77, 0xd5,
	0xee, 0x3a, 0x0b, 0xa5, 0x45, 0xc3, 0x5b, 0x57, 0x78, 0xda, 0xf2, 0x6e, 0xcc, 0x8f, 0x45, 0x78,
	0x7a, 0xf6, 0x93, 0xf8, 0x25, 0xf9, 0xa3, 0x38, 0xf8, 0x41, 0x1c, 0xfd, 0x24, 0xfe, 0x11, 0x86,
	0xaf, 0x6b, 0xc0, 0xb6, 0x47, 0x91, 0xe4, 0x10, 0x74, 0xe5, 0xe1, 0x39, 0xaf, 0x64, 0x2f, 0xb2,
	0x24, 0x3d, 0xeb, 0x89, 0xa4, 0x9b, 0xd3, 0x42, 0x85, 0x4c, 0x4f, 0xad, 0x34, 0x28, 0x38, 0x49,
	0xc9, 0xcc, 0x64, 0x0b, 0x35, 0x93, 0xcf, 0x04, 0x04, 0xa5, 0x64, 0xa5, 0xfc, 0xa8, 0x41, 0x35,
	0x94, 0x5c, 0x10, 0xd6, 0xcd, 0x24, 0x93, 0x9e, 0xb1, 0xfd, 0x73, 0x2d, 0x78, 0xdc, 0x1a, 0xf2,
	0x60, 0x30, 0x09, 0xbc, 0xa0, 0xc6, 0x10, 0x0a, 0x29, 0xd5, 0xf2, 0x8c, 0x61, 0x8e, 0xc7, 0x99,
	0x00, 0x14, 0x46, 0xb4, 0x93, 0x9a, 0x29, 0xa4, 0x3d, 0x1e, 0x9d, 0xf6, 0xca, 0x62, 0x53, 0x77,
	0x7d, 0xc0, 0x53, 0xea, 0xa0, 0x56, 0x48, 0xe7, 0x4e, 0x8e, 0xf9, 0x4e, 0x4f, 0x14, 0x89, 0xde,
	0x8c, 0xd5, 0x52, 0x42, 0xda, 0x9f, 0x4e, 0x73, 0xb5, 0x91, 0x42, 0x9e, 0xe6, 0x33, 0x6e, 0xed,
	0x54, 0xc9, 0x9a, 0x6e, 0x25, 0x6d, 0xe8, 0xda, 0xa8, 0x65, 0x75, 0x8b, 0xe6, 0x68, 0x32, 0x4b,
	0xe7, 0x9b, 0xa2, 0xe0, 0xe4, 0x32, 0xd2, 0x69, 0x6d, 0x52, 0xee, 0xf0, 0x29, 0x49, 0xc9, 0xf5,
	0xd3, 0x4a, 0x96, 0x79, 0x6c, 0x8c, 0x39, 0x25, 0xab, 0x1d, 0x4b, 0xdd, 0xf1, 0xe3, 0x3c, 0x35,
	0x25, 0xfb, 0x22, 0x29, 0xb8, 0xe7, 0x19, 0xbb, 0x77, 0xd1, 0x54, 0x1f, 0xe7, 0x3b, 0x0a, 0xd9,
	0xaa, 0x96, 0xfb, 0xa2, 0x65, 0x28, 0xd9, 0xd4, 0xb1, 0x9b, 0x3a, 0x95, 0xbd, 0xba, 0x92, 0x57,
	0xf2, 0x30, 0x19, 0xbf, 0xdb, 0x46, 0x6e, 0x45, 0xc9, 0xe0, 0xcd, 0x60, 0xe8, 0xb9, 0x81, 0x89,
	0x72, 0xc8, 0x2d, 0x7f, 0xf1, 0xbb, 0xad, 0x7b, 0x86, 0x19, 0x25, 0x61, 0x0f, 0xfc, 0xdf, 0xe1,
	0x95, 0xf1, 0x78, 0x78, 0x45, 0xe9, 0x70, 0xf9, 0x23, 0xe7, 0x19, 0x26, 0x7f, 0xd3, 0x5f, 0xa3,
	0xd0, 0x7b, 0xc8, 0xf5, 0x79, 0x32, 0xe3, 0x30, 0x99, 0xfc, 0x9c, 0x40, 0xdf, 0x43, 0xae, 0x8d,
	0x02, 0xd3, 0x7f, 0xb0, 0x85, 0xc5, 0xde, 0xbf, 0x01, 0xee, 0x6e, 0x18, 0x6f, 0x04, 0xa6, 0xcf,
	0x47, 0x02, 0xa8, 0x88, 0xdc, 0xf6, 0xcd, 0xae, 0x15, 0x84, 0xa6, 0x6f, 0x1a, 0xed, 0x48, 0xe7,
	0x5a, 0x74, 0xa1, 0x0f, 0x5e, 0x72, 0xa1, 0xa5, 0x4e, 0x64, 0x6b, 0xcf, 0xbf, 0x42, 0xe3, 0x3a,
	0x72, 0x73, 0xfd, 0xca, 0xe8, 0x0d, 0xe4, 0x55, 0xa1, 0x91, 0xcb, 0x51, 0x82, 0xb0, 0xff, 0x0a,
	0xfa, 0x06, 0x72, 0x9f, 0xe1, 0x44, 0x8a, 0xe7, 0xc8, 0x4a, 0x5b, 0xa0, 0xf8, 0x26, 0xc5, 0xb7,
	0x29, 0x9e, 0xaf, 0xf2, 0xfb, 0x31, 0xf4, 0x1e, 0xb2, 0xdf, 0x24, 0x2b, 0x4c, 0x9e, 0x14, 0x99,
	0x2a, 0xb7, 0x38, 0x8d, 0xa3, 0xf7, 0x91, 0x3b, 0x62, 0x91, 0xe1, 0xf3, 0xed, 0x1a, 0xc9, 0x8b,
	0xf2, 0xe2, 0x78, 0x0b, 0xff, 0x7f, 0x64, 0xef, 0xea, 0x35, 0xa0, 0x9b, 0x06, 0x57, 0xe6, 0xaa,
	0x2d, 0x6e, 0xff, 0x15, 0x74, 0x0f, 0x41, 0x1a, 0x1c, 0x4f, 0x15, 0x18, 0x41, 0xa4, 0xa0, 0xed,
	0x9b, 0xc8, 0xce, 0x8a, 0x8a, 0x9f, 0xfd, 0x6a, 0xeb, 0x92, 0xfc, 0x74, 0x0b, 0xfc, 0x62, 0x0b,
	0xfd, 0xd9, 0x56, 0x34, 0xa8, 0xd7, 0x52, 0x02, 0x41, 0xbb, 0xb8, 0x2e, 0x7e, 0x80, 0x61, 0xf8,
	0x0a, 0xc9, 0x6b, 0x03, 0x9c, 0x59, 0x0d, 0x70, 0x97, 0x4f, 0xeb, 0x70, 0x22, 0xf5, 0x87, 0x52,
	0x33, 0x57, 0xca, 0xc0, 0xf1, 0xdb, 0x33, 0x24, 0xde, 0xd3, 0x52, 0xa5, 0xa1, 0x39, 0xb8, 0x32,
	0x7a, 0xd6, 0x5a, 0xa1, 0x0c, 0xa7, 0xf7, 0x05, 0x97, 0xef, 0x07, 0x8c, 0xdb, 0x9c, 0x29, 0x52,
	0xa9, 0xa3, 0xc2, 0x11, 0x6a, 0x3b, 0x99, 0x43, 0x73, 0x60, 0x97, 0xb5, 0x84, 0xa0, 0x64, 0xca,
	0xb9, 0xac, 0x35, 0x3a, 0x2f, 0x54, 0xac, 0x71, 0x52, 0x28, 0xd5, 0x8b, 0xd5, 0x7e, 0xfb, 0xdc,
	0x2d, 0x9f, 0x5b, 0xe9, 0x49, 0xca, 0xef, 0x54, 0x35, 0xae, 0xcc, 0x51, 0xf8, 0x01, 0x86, 0xc3,
	0x9c, 0xe1, 0x67, 0xd8, 0x47, 0xb8, 0x39, 0x50, 0x2d, 0x07, 0x5e, 0x73, 0xac, 0xba, 0x66, 0x10,
	0xa8, 0xed, 0xa1, 0x6f, 0x06, 0xba, 0xe5, 0x38, 0xea, 0xb7, 0xba, 0x90, 0x75, 0xa8, 0x7b, 0x03,
	0xa8, 0xd0, 0x19, 0x39, 0x4e, 0xdb, 0x55, 0x07, 0xd1, 0x73, 0x36, 0xe7, 0xb2, 0x58, 0x6d, 0x29,
	0x8b, 0x1f, 0xe0, 0xc3, 0x9e, 0xe7, 0x46, 0xcc, 0xe4, 0x29, 0x41, 0x10, 0x00, 0xa4, 0x52, 0xc7,
	0xc7, 0x69, 0xfc, 0x00, 0xd7, 0x2c, 0x3f, 0xec, 0x19, 0xea, 0x14, 0xb2, 0x88, 0x4c, 0x26, 0x93,
	0x20, 0x92, 0x09, 0x00, 0x19, 0x5d, 0xd3, 0x35, 0xa2, 0x4b, 0xe0, 0x34, 0xc5, 0x92, 0x15, 0x0a,
	0x3f, 0xc0, 0xdd, 0x68, 0xfd, 0x52, 0x1d, 0x2b, 0x8c, 0xc4, 0x19, 0xd7, 0xf0, 0x5c, 0x33, 0xb0,
	0xa0, 0xf9, 0xf9, 0x32, 0x44, 0xe0, 0xd8, 0x93, 0x03, 0x18, 0xf8, 0x2b, 0xe0, 0x83, 0x9c, 0x65,
	0x96, 0x60, 0xfd, 0x7c, 0xb2, 0x85, 0xec, 0x09, 0x56, 0xd7, 0x6d, 0x0c, 0x57, 0x05, 0x54, 0x7d,
	0x7e, 0x01, 0x3d, 0xda, 0xc0, 0xeb, 0x55, 0xad, 0xaf, 0x5c, 0x41, 0x78, 0xe5, 0xeb, 0x84, 0xf0,
	0xd9, 0x1f, 0x63, 0x97, 0xe4, 0x1f, 0x62, 0xe0, 0xf7, 0x31, 0xf4, 0xb7, 0xb1, 0x17, 0xc3, 0xed,
	0x9b, 0x8c, 0x36, 0xec, 0x09, 0xfe, 0xdd, 0x38, 0xb2, 0x57, 0x30, 0xc3, 0xa8, 0xea, 0x17, 0x53,
	0xa5, 0xb8, 0x8c, 0xdf, 0x73, 0xc7, 0x89, 0x03, 0xfb, 0x06, 0xa6, 0x4d, 0x57, 0x6b, 0xb4, 0xbf,
	0x9a, 0x30, 0x4f, 0xc7, 0xc9, 0xdc, 0xc0, 0xd9, 0x67, 0xb1, 0x4b, 0xf2, 0xd7, 0x31, 0xf0, 0xcb,
	0x18, 0xfa, 0x29, 0x8c, 0xd2, 0x37, 0x3b, 0x12, 0x7f, 0xd9, 0x42, 0x6e, 0xaf, 0x22, 0xb1, 0xc0,
	0x66, 0xed, 0xf9, 0xd8, 0xdc, 0xec, 0xa5, 0x1b, 0x6a, 0x2f, 0x02, 0xe7, 0xb2, 0x91, 0xc7, 0x5f,
	0xd2, 0xc8, 0x71, 0xe6, 0x5f, 0xc4, 0xeb, 0x1d, 0xe4, 0x16, 0xc3, 0x45, 0x88, 0x6d, 0x8b, 0xd5,
	0x32, 0xc5, 0xed, 0xc7, 0xcf, 0x3e, 0x8e, 0x5f, 0x92, 0x5f, 0xc6, 0xc0, 0x17, 0x31, 0xf4, 0xf3,
	0x97, 0x81, 0xf5, 0x3f, 0xb6, 0xf9, 0x1c, 0x60, 0xb8, 0xee, 0x8d, 0x2d, 0xa3, 0x1d, 0x84, 0x6a,
	0x38, 0x0a, 0xe0, 0x61, 0x91, 0x22, 0x2b, 0x62, 0x51, 0xc6, 0x9f, 0x60, 0x4f, 0xf0, 0xef, 0x6f,
	0x21, 0x68, 0x0e, 0xf2, 0x85, 0x88, 0xfd, 0xb5, 0x43, 0x1d, 0xed, 0x20, 0x37, 0xd7, 0xfd, 0x47,
	0xf9, 0xdd, 0x03, 0x0f, 0x37, 0xf2, 0xbb, 0x76, 0x85, 0xec, 0x7b, 0x97, 0xe4, 0xbb, 0xe0, 0x8d,
	0x95, 0xb3, 0x35, 0x16, 0x66, 0xba, 0xa3, 0xc1, 0xda, 0x6e, 0xa6, 0x3f, 0x65, 0x6d, 0x36, 0x9e,
	0x6f, 0xf6, 0x28, 0xdb, 0xcc, 0x48, 0xad, 0x2a, 0x30, 0x22, 0xd3, 0x8c, 0xca, 0xed, 0xb3, 0xeb,
	0xc8, 0xb5, 0x68, 0xc8, 0xdf, 0x43, 0xae, 0x47, 0x60, 0x9b, 0xe7, 0x80, 0x9f, 0x13, 0xe8, 0x43,
	0x64, 0x67, 0xa8, 0x06, 0xc1, 0x85, 0xe7, 0x1b, 0x8b, 0x3e, 0xbe, 0xa2, 0xd1, 0xff, 0x42, 0x76,
	0x57, 0xb0, 0x8b, 0x36, 0xa2, 0x5d, 0x7e, 0x07, 0x1e, 0x70, 0xea, 0x20, 0xea, 0xfe, 0x11, 0xe4,
	0xa2, 0xb5, 0x67, 0x97, 0x9f, 0x13, 0xd0, 0xdc, 0x12, 0x70, 0x0f, 0xae, 0xcf, 0x35, 0x96, 0x34,
	0x9a, 0x40, 0xb6, 0xe7, 0x98, 0x7b, 0xb0, 0x1d, 0x25, 0xed, 0xfe, 0x33, 0xd5, 0x0d, 0x99, 0xfc,
	0x42, 0x08, 0xc5, 0x90, 0x1b, 0x6b, 0x78, 0x7c, 0xf0, 0x6a, 0x64, 0x6d, 0xfd, 0x08, 0xdd, 0x43,
	0xe2, 0x96, 0xf1, 0x60, 0x07, 0x8b, 0xbd, 0x7f, 0x8d, 0x8f, 0x5b, 0x06, 0xfa, 0xe1, 0x06, 0x36,
	0x76, 0x5f, 0x86, 0x8d, 0x2b, 0x29, 0x47, 0x1f, 0x21, 0x77, 0xe6, 0x00, 0x6c, 0xaf, 0x7d, 0xd9,
	0x30, 0x23, 0xb7, 0xb7, 0xbb, 0xeb, 0x1f, 0x3f, 0x18, 0x03, 0x05, 0xc8, 0xfd, 0x25, 0x44, 0xdb,
	0x57, 0x5e, 0x0d, 0x3a, 0x91, 0xfc, 0xdd, 0x25, 0x93, 0x5c, 0x5b, 0xf7, 0x3f, 0x8d, 0x5f, 0x92,
	0x3f, 0x8f, 0x83, 0x9f, 0xc6, 0xd1, 0x1f, 0xc3, 0x75, 0x7f, 0x55, 0xf9, 0x7a, 0xcf, 0x74, 0x02,
	0x53, 0x3d, 0xb4, 0x02, 0x47, 0x75, 0xaf, 0x56, 0xfd, 0x32, 0x15, 0x50, 0x8c, 0xd4, 0x74, 0xc3,
	0x24, 0x40, 0x0a, 0x56, 0xf5, 0x46, 0x3f, 0xc8, 0xcd, 0x2d, 0x60, 0x0c, 0xb4, 0x00, 0xb9, 0x1b,
	0x45, 0x7f, 0x92, 0x48, 0x9e, 0x24, 0x92, 0x20, 0xb2, 0xb8, 0xd6, 0x26, 0xa0, 0xad, 0x93, 0xc7,
	0xa7, 0x99, 0x68, 0x59, 0x7b, 0xb6, 0x1d, 0x60, 0xd8, 0x33, 0x0d, 0x81, 0xcb, 0x57, 0x39, 0x4a,
	0x60, 0xc8, 0xe8, 0x06, 0xcf, 0x7b, 0x7e, 0x28, 0x65, 0x75, 0xb0, 0x51, 0x60, 0x1a, 0xab, 0x1a,
	0x86, 0xc2, 0xcf, 0x04, 0x76, 0x5d, 0x70, 0xce, 0x84, 0x60, 0x9d, 0x21, 0xfb, 0x10, 0xab, 0x51,
	0x8a, 0x8a, 0x56, 0x10, 0x7a, 0xfe, 0x74, 0xd5, 0xc9, 0x63, 0x2f, 0x5b, 0xc9, 0x3f, 0xfc, 0xaa,
	0xad, 0xe1, 0x4a, 0xfa, 0x1f, 0x3d, 0x42, 0xb6, 0xe7, 0x08, 0x44, 0x11, 0x64, 0xbb, 0x2a, 0x16,
	0x29, 0x1e, 0x4e, 0x80, 0x1d, 0xe4, 0x1a, 0x8c, 0xc6, 0x7e, 0x0c, 0x9e, 0xce, 0x23, 0xb3, 0x1f,
	0x7f, 0xf4, 0xed, 0x18, 0x72, 0x63, 0xcd, 0x10, 0xba, 0x8b, 0x5c, 0xcf, 0x56, 0x48, 0xae, 0xbc,
	0xff, 0xca, 0xfa, 0x2e, 0x1d, 0x83, 0xc4, 0xa2, 0x3b, 0xee, 0xc7, 0xd1, 0xbb, 0xc8, 0x6d, 0x81,
	0xaa, 0xd0, 0xed, 0x7a, 0x83, 0xe4, 0x49, 0x4e, 0x64, 0x38, 0x6a, 0x7f, 0x0b, 0x1e, 0xc2, 0x09,
	0xc3, 0x09, 0x4c, 0x93, 0x6a, 0x67, 0x79, 0x8a, 0x2c, 0xef, 0x5f, 0x83, 0x8b, 0x3b, 0x4b, 0xe5,
	0x99, 0x1c, 0x59, 0x69, 0xd3, 0xd5, 0x4a, 0xa5, 0xda, 0x6a, 0x37, 0x6a, 0xfb, 0xd7, 0xe1, 0x26,
	0xbe, 0xac, 0xec, 0xfd, 0x6d, 0xf0, 0x9b, 0x6b, 0xc8, 0x1e, 0x39, 0x0a, 0x7b, 0xa6, 0x1b, 0x5a,
	0x7a, 0x94, 0x27, 0xd4, 0x5f, 0xbc, 0x34, 0x2d, 0x3f, 0xd6, 0xa1, 0xff, 0xf3, 0xbc, 0x97, 0x91,
	0x8d, 0x4f, 0x79, 0x0f, 0xdf, 0x7c, 0xd1, 0x1b, 0x0b, 0xfe, 0xf6, 0x77, 0xfe, 0xfc, 0xd7, 0x1f,
	0xc6, 0x1f, 0xe0, 0x77, 0x8f, 0xc6, 0xc4, 0x51, 0xd4, 0xa9, 0x8f, 0xb4, 0x69, 0x62, 0x9e, 0xb2,
	0xb3, 0xd8, 0x23, 0x74, 0x82, 0xdc, 0xde, 0x78, 0x6b, 0x46, 0xff, 0xf7, 0xf9, 0x5e, 0x37, 0xde,
	0xaa, 0x5f, 0xe2, 0x17, 0x8b, 0xfc, 0x3e, 0xc4, 0xef, 0x5f, 0xf1, 0xbb, 0xc4, 0x14, 0xf4, 0x2c,
	0x20, 0xdb, 0xf3, 0x65, 0x15, 0x7d, 0x1e, 0x28, 0x1e, 0xbe, 0xf5, 0xc2, 0xc5, 0x16, 0xbf, 0x1f,
	0xd9, 0xbf, 0x8d, 0x23, 0xd0, 0x7e, 0x60, 0x75, 0xdd, 0xd1, 0x10, 0x1a, 0x55, 0x91, 0x57, 0x17,
	0x5b, 0x06, 0xfa, 0xd6, 0x3f, 0xda, 0x3e, 0xe6, 0xd7, 0x7f, 0xfb, 0xc5, 0xcb, 0x09, 0xfe, 0x7a,
	0xe4, 0xe0, 0x0e, 0x7e, 0x13, 0x3a, 0xe8, 0x9a, 0x61, 0x02, 0x82, 0x14, 0xba, 0x98, 0x21, 0x77,
	0x1a, 0x43, 0x43, 0x0d, 0xcd, 0x75, 0x04, 0xbd, 0xf3, 0x02, 0x98, 0xfe, 0x93, 0x0e, 0xf1, 0xc8,
	0xe1, 0x9b, 0xf8, 0xeb, 0xd0, 0xe1, 0x28, 0xf2, 0x90, 0x88, 0x00, 0x9e, 0x98, 0x17, 0xc4, 0x59,
	0xec, 0x51, 0xf6, 0xdd, 0x4b, 0xf2, 0x1d, 0xf4, 0xbf, 0x91, 0xd7, 0xae, 0x02, 0x07, 0x13, 0xe6,
	0x1f, 0x82, 0xc1, 0x75, 0xe2, 0x30, 0x79, 0x08, 0xb4, 0xed, 0xc8, 0x41, 0xea, 0xef, 0x01, 0x00,
	0x00, 0xff, 0xff, 0x44, 0xd5, 0x44, 0x4e, 0x87, 0x16, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// AuthenticationClient is the client API for Authentication service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type AuthenticationClient interface {
	LoginByGoogle(ctx context.Context, in *LoginByGoogleRequest, opts ...grpc.CallOption) (*LoginResponse, error)
	LoginByFacebook(ctx context.Context, in *LoginByFacebookRequest, opts ...grpc.CallOption) (*LoginResponse, error)
	SignUp(ctx context.Context, in *User, opts ...grpc.CallOption) (*SignUpResponse, error)
	GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*GetUserResponse, error)
	UpdateCovidStatus(ctx context.Context, in *CovidStatusRequest, opts ...grpc.CallOption) (*GetUserResponse, error)
}

type authenticationClient struct {
	cc grpc.ClientConnInterface
}

func NewAuthenticationClient(cc grpc.ClientConnInterface) AuthenticationClient {
	return &authenticationClient{cc}
}

func (c *authenticationClient) LoginByGoogle(ctx context.Context, in *LoginByGoogleRequest, opts ...grpc.CallOption) (*LoginResponse, error) {
	out := new(LoginResponse)
	err := c.cc.Invoke(ctx, "/service_proto.Authentication/LoginByGoogle", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationClient) LoginByFacebook(ctx context.Context, in *LoginByFacebookRequest, opts ...grpc.CallOption) (*LoginResponse, error) {
	out := new(LoginResponse)
	err := c.cc.Invoke(ctx, "/service_proto.Authentication/LoginByFacebook", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationClient) SignUp(ctx context.Context, in *User, opts ...grpc.CallOption) (*SignUpResponse, error) {
	out := new(SignUpResponse)
	err := c.cc.Invoke(ctx, "/service_proto.Authentication/SignUp", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationClient) GetUser(ctx context.Context, in *GetUserRequest, opts ...grpc.CallOption) (*GetUserResponse, error) {
	out := new(GetUserResponse)
	err := c.cc.Invoke(ctx, "/service_proto.Authentication/GetUser", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authenticationClient) UpdateCovidStatus(ctx context.Context, in *CovidStatusRequest, opts ...grpc.CallOption) (*GetUserResponse, error) {
	out := new(GetUserResponse)
	err := c.cc.Invoke(ctx, "/service_proto.Authentication/UpdateCovidStatus", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AuthenticationServer is the server API for Authentication service.
type AuthenticationServer interface {
	LoginByGoogle(context.Context, *LoginByGoogleRequest) (*LoginResponse, error)
	LoginByFacebook(context.Context, *LoginByFacebookRequest) (*LoginResponse, error)
	SignUp(context.Context, *User) (*SignUpResponse, error)
	GetUser(context.Context, *GetUserRequest) (*GetUserResponse, error)
	UpdateCovidStatus(context.Context, *CovidStatusRequest) (*GetUserResponse, error)
}

// UnimplementedAuthenticationServer can be embedded to have forward compatible implementations.
type UnimplementedAuthenticationServer struct {
}

func (*UnimplementedAuthenticationServer) LoginByGoogle(ctx context.Context, req *LoginByGoogleRequest) (*LoginResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginByGoogle not implemented")
}
func (*UnimplementedAuthenticationServer) LoginByFacebook(ctx context.Context, req *LoginByFacebookRequest) (*LoginResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method LoginByFacebook not implemented")
}
func (*UnimplementedAuthenticationServer) SignUp(ctx context.Context, req *User) (*SignUpResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SignUp not implemented")
}
func (*UnimplementedAuthenticationServer) GetUser(ctx context.Context, req *GetUserRequest) (*GetUserResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetUser not implemented")
}
func (*UnimplementedAuthenticationServer) UpdateCovidStatus(ctx context.Context, req *CovidStatusRequest) (*GetUserResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateCovidStatus not implemented")
}

func RegisterAuthenticationServer(s *grpc.Server, srv AuthenticationServer) {
	s.RegisterService(&_Authentication_serviceDesc, srv)
}

func _Authentication_LoginByGoogle_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginByGoogleRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServer).LoginByGoogle(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/service_proto.Authentication/LoginByGoogle",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServer).LoginByGoogle(ctx, req.(*LoginByGoogleRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authentication_LoginByFacebook_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginByFacebookRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServer).LoginByFacebook(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/service_proto.Authentication/LoginByFacebook",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServer).LoginByFacebook(ctx, req.(*LoginByFacebookRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authentication_SignUp_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(User)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServer).SignUp(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/service_proto.Authentication/SignUp",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServer).SignUp(ctx, req.(*User))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authentication_GetUser_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetUserRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServer).GetUser(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/service_proto.Authentication/GetUser",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServer).GetUser(ctx, req.(*GetUserRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authentication_UpdateCovidStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CovidStatusRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthenticationServer).UpdateCovidStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/service_proto.Authentication/UpdateCovidStatus",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthenticationServer).UpdateCovidStatus(ctx, req.(*CovidStatusRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Authentication_serviceDesc = grpc.ServiceDesc{
	ServiceName: "service_proto.Authentication",
	HandlerType: (*AuthenticationServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "LoginByGoogle",
			Handler:    _Authentication_LoginByGoogle_Handler,
		},
		{
			MethodName: "LoginByFacebook",
			Handler:    _Authentication_LoginByFacebook_Handler,
		},
		{
			MethodName: "SignUp",
			Handler:    _Authentication_SignUp_Handler,
		},
		{
			MethodName: "GetUser",
			Handler:    _Authentication_GetUser_Handler,
		},
		{
			MethodName: "UpdateCovidStatus",
			Handler:    _Authentication_UpdateCovidStatus_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "auth.proto",
}
